FREEFOAM-CLEARPOLYMESH(1)

NAME
freefoam-clearPolyMesh - Remove the contents of the constant/polyMesh directory as per the +Foam::polyMesh::removeFiles()+ method.

SYNOPSIS

freefoam clearPolyMesh [-case <caseDir>] [-region <regionName>] [-h | -help]

DESCRIPTION

Removes the files - points - faces - owner - neighbour - cells - boundary - pointZones - faceZones - cellZones - meshModifiers - parallelData - sets from the <caseDir>/constant/<regionName>/polyMesh directory. <caseDir> defaults to the current working directory and can be specified with -case. <regionName> is the empty string by default and can be set with the -region option.

OPTIONS

-case <caseDir>
    Case from which to clear the mesh data

-region <regionName>
    Mesh region to clear (e.g. <caseDir>/constant/<regionName>/polyMesh)

-h | -help
    Display an option summary

SEE ALSO

An overview of FreeFOAM is given in freefoam(1).

AUTHOR

OpenCFD Ltd.

FREEFOAM

Part of the freefoam(1) suite.

COPYRIGHT

    • Copyright © 1991-2010 OpenCFD Ltd.

    • Copyright © 2008-2012 Michael Wild.